import kcRequest from "@/service/request/index.js";

// 获取页面列表
export const getPageList = (data = {}) => {
  return kcRequest.request(`/ShopRenovate/GetPageList`, "get", data);
};

//创建页面
export const createPage = (data = {}) => {
  return kcRequest.request(`/ShopRenovate/CreatePage`, "post", data);
};

//更新页面
export const updatePage = (data = {}) => {
  return kcRequest.request(`/ShopRenovate/UpdatePage`, "post", data);
};

//删除页面
export const deletePage = (data = {}) => {
  return kcRequest.request(`/ShopRenovate/DeletePage`, "post", data);
};

//发布页面
export const publishPage = (data = {}) => {
  return kcRequest.request(`/ShopRenovate/PublishPage`, "post", data);
};
// 取消发布
export const unpublishPage = (data = {}) => {
  return kcRequest.request(`/ShopRenovate/UnpublishPage`, "post", data);
};
